Index: packages.ent
===================================================================
--- packages.ent	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ packages.ent	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -504,19 +497,14 @@
 <!ENTITY namespace-autoclean-version  "0.29">
 <!ENTITY namespace-clean-version      "0.27">
-<!ENTITY Net-HTTP-version             "6.21">
-<!ENTITY Net-SSLeay-version           "1.90">
+<!ENTITY Net-HTTP-version             "6.19">
+<!ENTITY Net-SSLeay-version           "1.88">
 <!ENTITY Number-Compare-version       "0.03">
-<!ENTITY Package-Stash-version        "0.39">
-<!ENTITY Params-Validate-version      "1.30">
+<!ENTITY Package-Stash-version        "0.38">
+<!ENTITY Params-Validate-version      "1.29">
 <!ENTITY Params-ValidationCompiler-version "0.30">
-<!ENTITY Path-Tiny-version            "0.118">
-<!ENTITY Role-Tiny-version            "2.002004">
-<!-- FIXME - please check the included version of
- List/Utils when upgrading the perl version,
- Scalar-List-Utils is here because List-AllUtils
- needs a newer version at runtime than is in 5.34.0 -->
-<!ENTITY Scalar-List-Utils-version    "1.56">
+<!ENTITY Path-Tiny-version            "0.114">
+<!ENTITY Role-Tiny-version            "2.001004">
 <!ENTITY Scope-Guard-version          "0.21">
-<!ENTITY Specio-version               "0.47">
+<!ENTITY Specio-version               "0.46">
 <!ENTITY Sub-Exporter-Progressive-version "0.001013">
 <!ENTITY Sub-Identify-version         "0.14">
@@ -528,26 +516,26 @@
 <!ENTITY Test-Deep-version            "1.130">
 <!ENTITY Test-Exception-version       "0.43">
-<!ENTITY Test-Fatal-version           "0.016">
-<!ENTITY Test-File-version            "1.448">
+<!ENTITY Test-Fatal-version           "0.014">
+<!ENTITY Test-File-version            "1.443">
 <!ENTITY Test-File-ShareDir-version   "1.001002">
-<!ENTITY Test-LeakTrace-version       "0.17">
-<!ENTITY Test-MockModule-version      "v0.176.0">
-<!ENTITY Test-Needs-version           "0.002009">
+<!ENTITY Test-LeakTrace-version       "0.16">
+<!ENTITY Test-MockModule-version      "v0.173.0">
+<!ENTITY Test-Needs-version           "0.002006">
 <!ENTITY Test-Requires-version        "0.11">
 <!ENTITY Test-RequiresInternet-version "0.05">
 <!ENTITY Test-utf8-version            "1.02">
-<!ENTITY Test-Warnings-version        "0.031">
+<!ENTITY Test-Warnings-version        "0.030">
 <!ENTITY Test-Without-Module-version  "0.20">
 <!ENTITY Test2-Plugin-NoWarnings-version "0.09">
-<!ENTITY Test2-Suite-version          "0.000140">
-<!ENTITY Text-CSV_XS-version          "1.46">
+<!ENTITY Test2-Suite-version          "0.000130">
+<!ENTITY Text-CSV_XS-version          "1.44">
 <!ENTITY Text-Diff-version            "1.45">
 <!ENTITY Text-Glob-version            "0.11">
-<!ENTITY Tie-Cycle-version            "1.226">
+<!ENTITY Tie-Cycle-version            "1.225">
 <!ENTITY TimeDate-version             "2.33">
 <!ENTITY Try-Tiny-version             "0.30">
 <!ENTITY Variable-Magic-version       "0.62">
 <!ENTITY WWW-RobotRules-version       "6.02">
-<!ENTITY XML-LibXML-version           "2.0207">
+<!ENTITY XML-LibXML-version           "2.0205">
 <!ENTITY XML-NamespaceSupport-version "1.12">
 <!ENTITY XML-SAX-version              "1.02">
@@ -557,29 +545,29 @@
 <!-- Python module versions used in the Python Modules instructions -->
 <!-- <!ENTITY Beaker-version               "1.10.0"> -->
-<!ENTITY docutils-version             "0.17.1">
-<!ENTITY dbus-python-version          "1.2.18">
-<!ENTITY dbusmock-version             "0.23.1">
+<!ENTITY docutils-version             "0.16">
+<!ENTITY dbus-python-version          "1.2.16">
+<!ENTITY dbusmock-version             "0.21.0">
 <!-- <!ENTITY funcsigs-version             "1.0.2"> -->
-<!ENTITY decorator-version            "5.0.9">
-<!ENTITY Jinja2-version               "3.0.1">
+<!ENTITY decorator-version            "4.4.2">
+<!ENTITY Jinja2-version               "2.11.2">
 <!-- libxml2 for Python2 shares the version of libxml2 -->
-<!ENTITY lxml-version                 "4.6.3">
-<!ENTITY mako-version                 "1.1.5">
-<!ENTITY MarkupSafe-version           "2.0.1">
-<!ENTITY py3c-version                 "1.3.1">
-<!ENTITY pyatspi2-version             "2.38.1">
+<!ENTITY lxml-version                 "4.6.2">
+<!ENTITY mako-version                 "1.1.3">
+<!ENTITY MarkupSafe-version           "1.1.1">
+<!ENTITY py3c-version                 "1.3">
+<!ENTITY pyatspi2-version             "2.38.0">
 <!--<!ENTITY py2cairo-version             "1.10.0"> -->
 <!ENTITY pycairo2-version             "1.18.2">
-<!ENTITY pycairo-version              "1.20.1">
+<!ENTITY pycairo-version              "1.20.0">
 <!--<!ENTITY pycrypto-version             "2.6.1"> Replaced by pycryptodome -->
-<!ENTITY pycryptodome-version         "3.10.1">
-<!ENTITY pygments-version             "2.10.0">
+<!ENTITY pycryptodome-version         "3.9.9">
+<!ENTITY pygments-version             "2.7.3">
 <!ENTITY pygobject2-version           "2.28.7">
-<!ENTITY pygobject3-version           "3.40.1">
+<!ENTITY pygobject3-version           "3.38.0">
 <!ENTITY pygtk-version                "2.24.0">
 <!ENTITY pyxdg-version                "0.27">
 <!ENTITY PyYAML-version               "5.3.1">
 <!ENTITY scour-version                "0.38.2">
-<!ENTITY six-version                  "1.16.0">
+<!ENTITY six-version                  "1.15.0">
 <!ENTITY python-slip-version          "0.6.5">
 <!-- <!ENTITY setuptools-version           "30.2.0"> -->
@@ -589,18 +577,18 @@
 <!--<!ENTITY ppp-version                  "2.4.5">-->
 <!ENTITY dhcpcd-version               "9.4.0">
-<!ENTITY dhcp-version                 "4.4.2-P1">
+<!ENTITY dhcp-version                 "4.4.2">
 
 <!-- Chapter 15 -->
-<!ENTITY bridgeutils-version          "1.7.1">
-<!ENTITY cifsutils-version            "6.13">
+<!ENTITY bridgeutils-version          "1.6">
+<!ENTITY cifsutils-version            "6.12">
 <!ENTITY iw-version                   "5.9">
 <!ENTITY ncftp-version                "3.2.6">
-<!ENTITY net-tools-version            "2.10">
-<!ENTITY nfs-utils-version            "2.5.4">
+<!ENTITY net-tools-version            "CVS_20101030">
+<!ENTITY nfs-utils-version            "2.5.2">
 <!ENTITY ntp-version                  "4.2.8p15">
-<!ENTITY rpcbind-version              "1.2.6">
+<!ENTITY rpcbind-version              "1.2.5">
 <!ENTITY rsync-version                "3.2.3">
-<!ENTITY samba-version                "4.14.7">
-<!ENTITY wget-version                 "1.21.1">
+<!ENTITY samba-version                "4.13.3">
+<!ENTITY wget-version                 "1.21">
 <!ENTITY wireless-tools-version       "29">
 <!ENTITY wpa_supplicant-version       "2.9">
@@ -609,22 +597,22 @@
 <!ENTITY avahi-version                "0.8">
 <!ENTITY bind-minor-version           "9.16">
-<!ENTITY bind-version                 "&bind-minor-version;.20">
+<!ENTITY bind-version                 "&bind-minor-version;.10">
 <!ENTITY mod_dnssd-version            "0.6">
-<!ENTITY NetworkManager-minor         "1.32">
-<!ENTITY NetworkManager-version       "&NetworkManager-minor;.10">
-<!ENTITY network-manager-applet-version "1.24.0">
-<!ENTITY nmap-version                 "7.92">
+<!ENTITY NetworkManager-minor         "1.28">
+<!ENTITY NetworkManager-version       "&NetworkManager-minor;.0">
+<!ENTITY network-manager-applet-version "1.18.0">
+<!ENTITY nmap-version                 "7.91">
 <!ENTITY traceroute-version           "2.1.0">
 <!ENTITY whois-version                "5.4.3">
 <!ENTITY wicd-version                 "1.7.4">
-<!ENTITY wireshark-version            "3.4.8">  <!-- even minor versions only -->
+<!ENTITY wireshark-version            "3.4.2">  <!-- even minor versions only -->
 
 <!ENTITY wicd-major-version           "1.7">
 
 <!-- Chapter 17 -->
-<!ENTITY c-ares-version               "1.17.2">
-<!ENTITY curl-version                 "7.78.0">
+<!ENTITY c-ares-version               "1.17.1">
+<!ENTITY curl-version                 "7.74.0">
 <!ENTITY geoclue2-version             "2.5.7">
-<!ENTITY glib-networking-version      "2.68.2">
+<!ENTITY glib-networking-version      "2.66.0">
 <!ENTITY ldns-version                 "1.7.1">
 <!ENTITY libevent-version             "2.1.12">
@@ -633,14 +621,14 @@
 <!ENTITY libnl-version                "3.5.0">
 <!ENTITY libnl-dl-version             "3_5_0">
-<!ENTITY libnma-version               "1.8.32">
-<!ENTITY libnsl-version               "2.0.0">
-<!ENTITY libpcap-version              "1.10.1">
+<!ENTITY libnma-version               "1.8.30">
+<!ENTITY libnsl-version               "1.3.0">
+<!ENTITY libpcap-version              "1.9.1">
 <!ENTITY libpsl-version               "0.21.1">
-<!ENTITY libndp-version               "1.8">
+<!ENTITY libndp-version               "1.7">
 <!ENTITY libproxy-version             "0.4.7">
-<!ENTITY libsoup-version              "2.74.0">
-<!ENTITY libtirpc-version             "1.3.2">
+<!ENTITY libsoup-version              "2.72.0">
+<!ENTITY libtirpc-version             "1.3.1">
 <!ENTITY neon-version                 "0.31.2">
-<!ENTITY nghttp2-version              "1.44.0">
+<!ENTITY nghttp2-version              "1.42.0">
 <!ENTITY rpcsvc-proto-version         "1.4.2">
 <!ENTITY serf-version                 "1.3.9">
@@ -648,5 +636,5 @@
 
 <!-- Chapter 18 -->
-<!ENTITY links-version                "2.23">
+<!ENTITY links-version                "2.21">
 <!ENTITY lynx-version                 "2.8.9rel.1">
 <!ENTITY w3m-version                  "0.5.3">
@@ -655,37 +643,37 @@
 <!ENTITY mailx-version                "12.5">
 <!ENTITY procmail-version             "3.22">
-<!ENTITY fetchmail-version            "6.4.21">
-<!ENTITY mutt-version                 "2.1.2">
+<!ENTITY fetchmail-version            "6.4.14">
+<!ENTITY mutt-version                 "2.0.3">
 <!ENTITY alpine-version               "2.21">
 
 <!-- Part V -->
 <!-- Chapter 20 -->
-<!ENTITY apache-version               "2.4.48">
-<!ENTITY proftpd-version              "1.3.7c">
-<!ENTITY vsftpd-version               "3.0.5">
+<!ENTITY apache-version               "2.4.46">
+<!ENTITY proftpd-version              "1.3.7a">
+<!ENTITY vsftpd-version               "3.0.3">
 
 <!-- Chapter 21 -->
 <!ENTITY dovecot-major                "2">
 <!ENTITY dovecot-minor                "3">
-<!ENTITY dovecot-micro                "16">
-<!--<!ENTITY dovecot-nano                 "3">-->
-<!--<!ENTITY dovecot-version              "&dovecot-major;.&dovecot-minor;.&dovecot-micro;.&dovecot-nano;">-->
-<!ENTITY dovecot-version              "&dovecot-major;.&dovecot-minor;.&dovecot-micro;">
-
-<!ENTITY exim-version                 "4.94.2">
-<!ENTITY postfix-version              "3.6.2">
-<!ENTITY sendmail-version             "8.17.1">
+<!ENTITY dovecot-micro                "11">
+<!ENTITY dovecot-nano                 "3">
+<!ENTITY dovecot-version              "&dovecot-major;.&dovecot-minor;.&dovecot-micro;.&dovecot-nano;">
+<!--<!ENTITY dovecot-version              "&dovecot-major;.&dovecot-minor;.&dovecot-micro;"> -->
+
+<!ENTITY exim-version                 "4.94">
+<!ENTITY postfix-version              "3.5.8">
+<!ENTITY sendmail-version             "8.16.1">
 
 <!-- Chapter 22 -->
 <!ENTITY db-version                   "5.3.28">
-<!ENTITY lmdb-version                 "0.9.29">
-<!ENTITY mariadb-version              "10.6.4">
-<!ENTITY postgresql-version           "13.4">
-<!ENTITY sqlite-version               "3.36.0">
+<!ENTITY lmdb-version                 "0.9.24">
+<!ENTITY mariadb-version              "10.5.8">
+<!ENTITY postgresql-version           "13.1">
+<!ENTITY sqlite-version               "3.34.0">
 
 <!-- Chapter 23 -->
-<!ENTITY openldap-version             "2.5.7">
+<!ENTITY openldap-version             "2.4.56">
 <!ENTITY soprano-version              "2.9.4">
-<!ENTITY unbound-version              "1.13.2">
+<!ENTITY unbound-version              "1.13.0">
 <!ENTITY virtuoso-version             "6.1.8">
 <!ENTITY xinetd-version               "2.3.15">
@@ -694,6 +682,6 @@
 <!-- Chapter 24 -->                               <!-- stable lt .90 micro version -->
 <!ENTITY xorg-version                 "7">      <!-- applies to all xorg packages -->
-<!ENTITY util-macros-version          "1.19.3">
-<!ENTITY xorgproto-version            "2021.4">
+<!ENTITY util-macros-version          "1.19.2">
+<!ENTITY xorgproto-version            "2020.1">
 <!ENTITY libXau-version               "1.0.9">
 <!ENTITY libXdmcp-version             "1.1.3">
@@ -703,7 +691,7 @@
 <!ENTITY xbitmaps-version             "1.1.2">
 <!ENTITY xcursor-themes-version       "1.0.6">
-<!ENTITY xkeyboard-config-version     "2.33">
-<!ENTITY mesa-major-minor             "21.2">
-<!ENTITY mesa-version                 "&mesa-major-minor;.1">
+<!ENTITY xkeyboard-config-version     "2.31">
+<!ENTITY mesa-major-minor             "20.3">
+<!ENTITY mesa-version                 "&mesa-major-minor;.2">
 <!ENTITY xcb-util-version             "0.4.0">
 <!ENTITY xcb-util-image-version       "0.4.0">
@@ -712,11 +700,11 @@
 <!ENTITY xcb-util-wm-version          "0.4.1">
 <!ENTITY xcb-util-cursor-version      "0.1.3">
-<!ENTITY xorg-server-version          "1.20.13">
+<!ENTITY xorg-server-version          "1.20.10">
 <!ENTITY twm-version                  "1.0.11">
-<!ENTITY xterm-version                "368">
+<!ENTITY xterm-version                "363">
 <!ENTITY xclock-version               "1.0.9">
 <!ENTITY xinit-version                "1.4.1">
 
-<!ENTITY libva-version                "2.12.0">
+<!ENTITY libva-version                "2.10.0">
 <!ENTITY libva-intel-driver-version   "2.4.1"> <!-- intel-vaapi-driver -->
 <!ENTITY libvdpau-version             "1.4">
@@ -728,8 +716,8 @@
 <!ENTITY amtk-version                 "&amtk-minor;.0">
 <!ENTITY atk-version                  "2.36.0">
-<!ENTITY atkmm-version                "2.28.2">
-<!ENTITY at-spi2-core-version         "2.40.3">
+<!ENTITY atkmm-version                "2.28.1">
+<!ENTITY at-spi2-core-version         "2.38.0">
 <!ENTITY at-spi2-atk-version          "2.38.0">
-<!ENTITY cairo-version                "1.17.4">
+<!ENTITY cairo-version                "1.17.2+f93fc72c03e">
 <!ENTITY cairomm-1.0-version          "1.14.0">
 <!ENTITY cairomm-version              "1.16.0">
@@ -739,42 +727,41 @@
 <!ENTITY clutter-gtk-version          "1.8.4">
 <!ENTITY colord-gtk-version           "0.2.0">
-<!ENTITY fltk-version                 "1.3.7">
+<!ENTITY fltk-version                 "1.3.5">
 <!ENTITY freeglut-version             "3.2.1">
-<!ENTITY gdk-pixbuf-version           "2.42.6">
-<!ENTITY gdk-pixbuf-xlib-version      "2.40.2">
-<!ENTITY gdl-version                  "3.40.0">
-<!ENTITY glew-version                 "2.2.0">
-<!ENTITY glu-version                  "9.0.2">
-<!ENTITY goffice010-version           "0.10.50">
-<!ENTITY graphene-version             "1.10.6">
+<!ENTITY gdk-pixbuf-version           "2.42.2">
+<!ENTITY gdk-pixbuf-xlib-version      "3116b8ae">
+<!ENTITY gdl-version                  "3.34.0">
+<!ENTITY glew-version                 "2.1.0">
+<!ENTITY glu-version                  "9.0.1">
+<!ENTITY goffice010-version           "0.10.48">
+<!ENTITY graphene-version             "1.10.2">
 <!ENTITY gtk2-version                 "2.24.33">
-<!ENTITY gtk3-version                 "3.24.30">
-<!ENTITY gtk4-version                 "4.4.0">
+<!ENTITY gtk3-version                 "3.24.24">
 <!ENTITY gtk-engines-version          "2.20.2">
 <!ENTITY gtkmm2-version               "2.24.5">
-<!ENTITY gtkmm3-version               "3.24.5">
+<!ENTITY gtkmm3-version               "3.24.3">
 <!ENTITY gtksourceview-version        "3.24.11">
-<!ENTITY gtksourceview4-version       "4.8.1">
-<!ENTITY gtksourceview5-version       "5.0.0">
-<!ENTITY gtk-vnc-version              "1.2.0">
-<!ENTITY imlib2-version               "1.7.2">
+<!ENTITY gtksourceview4-version       "4.8.0">
+<!ENTITY gtk-vnc-version              "1.0.0">
+<!ENTITY imlib2-version               "1.7.1">
 <!ENTITY keybinder2-version           "0.3.1">
 <!ENTITY keybinder3-version           "0.3.2">
-<!ENTITY libdazzle-version            "3.40.0">
-<!ENTITY libhandy1-version            "1.2.3">
+<!ENTITY libdazzle-version            "3.38.0">
+<!--<!ENTITY libhandy-version             "0.0.13">-->
+<!ENTITY libhandy1-version            "1.0.3">
 <!ENTITY libnotify-version            "0.7.9">
 <!ENTITY libxklavier-version          "5.4">
-<!ENTITY pango-version                "1.48.9">
-<!ENTITY pangomm-version              "2.46.1">
+<!ENTITY pango-version                "1.48.0">
+<!ENTITY pangomm-version              "2.42.2">
 <!ENTITY qt5-major                    "5.15">
 <!ENTITY qt5-version                  "&qt5-major;.2">
 <!ENTITY qt5-url "https://download.qt.io/archive/qt/&qt5-major;/&qt5-version;/submodules">
-<!ENTITY qtwebengine-version          "&qt5-major;.6">
+<!ENTITY qtwebengine-version          "&qt5-major;.2">
 <!ENTITY qtwebkit-version             "5.9.0">
 <!ENTITY qscintilla-version           "2.10.4">
 <!ENTITY shared-mime-info-version     "2.1">
 <!ENTITY startup-notification-version "0.12">
-<!ENTITY tepl-version                 "6.00.0">
-<!ENTITY webkitgtk-version            "2.32.3">    <!-- Even minors only -->
+<!ENTITY tepl-version                 "5.0.1">
+<!ENTITY webkitgtk-version            "2.30.4">    <!-- Even minors only -->
 
 <!ENTITY gtk2-libdir                  "2.0/2.10.0">
@@ -783,5 +770,5 @@
 <!-- Chapter 26 -->
 <!ENTITY lightdm-version              "1.30.0">
-<!ENTITY lightdm-gtk-greeter-version  "2.0.8">
+<!ENTITY lightdm-gtk-greeter-version  "2.0.6">
 <!ENTITY lxdm-version                 "0.5.3">
 <!ENTITY sddm-version                 "0.16.0">
@@ -789,5 +776,5 @@
 <!-- Chapter 27 -->
 <!ENTITY fluxbox-version              "1.3.7">
-<!ENTITY icewm-version                "2.7.0">
+<!ENTITY icewm-version                "2.0.0">
 <!ENTITY openbox-version              "3.6.1">
 <!ENTITY sawfish-version              "1.12.0">
@@ -797,5 +784,5 @@
 <!ENTITY icon-naming-utils-version    "0.8.90">
 <!ENTITY hicolor-icon-theme-version   "0.17">
-<!ENTITY adwaita-icon-theme-version   "40.1.1">
+<!ENTITY adwaita-icon-theme-version   "3.38.0">
 <!ENTITY gnome-icon-theme-version     "3.12.0">
 <!ENTITY gnome-icon-theme-extras-version "3.12.0">
@@ -808,22 +795,22 @@
 <!ENTITY phonon-version               "4.11.1">
 <!ENTITY phonon-backend-gstreamer-version "4.10.0">
-<!ENTITY phonon-backend-vlc-version   "0.11.3">
-<!ENTITY polkit-qt-version            "0.114.0">
+<!ENTITY phonon-backend-vlc-version   "0.11.1">
+<!ENTITY polkit-qt-version            "0.113.0">
 <!ENTITY polkit-kde-agent-version     "0.99.0">
 <!ENTITY libdbusmenu-qt-version       "0.9.3+16.04.20160218">
 
 <!-- KF5 and Plasma -->
-<!ENTITY kf5-version           "5.85.0">
-<!ENTITY kf5-short-version     "5.85">
-<!ENTITY kf5-base              "5.85">
+<!ENTITY kf5-version           "5.77.0">
+<!ENTITY kf5-short-version     "5.77">
+<!ENTITY kf5-base              "5.77">
 <!ENTITY kf5-download-http     "https://download.kde.org/stable/frameworks/&kf5-base;">
 
-<!ENTITY kf5apps-version       "21.08.0">
+<!ENTITY kf5apps-version       "20.12.0">
 <!ENTITY kf5apps-download-http "https://download.kde.org/stable/release-service/&kf5apps-version;/src">
 <!ENTITY kf5apps-download-ftp  "ftp://ftp.kde.org/pub/kde/stable/&kf5apps-version;/src">
 
-<!ENTITY plasma5-version       "5.22.4">
-
-<!ENTITY plasma-wayland-protocols-version "1.3.0">
+<!ENTITY plasma5-version       "5.20.4">
+
+<!ENTITY plasma-wayland-protocols-version "1.1.1">
 
 <!-- Part VIII -->
@@ -838,26 +825,26 @@
 <!ENTITY xfconf-version               "4.16.0">
 <!ENTITY libxfce4ui-version           "4.16.0">
-<!ENTITY exo-version                  "4.16.2">
-<!ENTITY garcon-minor                 "4.16">
-<!ENTITY garcon-version               "4.16.1">
-<!ENTITY thunar-version               "4.16.8">
+<!ENTITY exo-version                  "4.16.0">
+<!ENTITY garcon-minor                 "0.8">
+<!ENTITY garcon-version               "0.8.0">
+<!ENTITY thunar-version               "4.16.1">
 <!ENTITY thunar-volman-version        "4.16.0">
 <!ENTITY tumbler-version              "4.16.0">
-<!ENTITY xfce4-appfinder-version      "4.16.1">
-<!ENTITY xfce4-panel-version          "4.16.3">
+<!ENTITY xfce4-appfinder-version      "4.16.0">
+<!ENTITY xfce4-panel-version          "4.16.0">
 <!ENTITY xfce4-power-manager-version  "4.16.0">
-<!ENTITY xfce4-settings-version       "4.16.2">
+<!ENTITY xfce4-settings-version       "4.16.0">
 <!ENTITY xfdesktop-version            "4.16.0">
-<!ENTITY xfwm4-version                "4.16.1">
+<!ENTITY xfwm4-version                "4.16.0">
 <!ENTITY xfce4-session-version        "4.16.0">
 
 <!-- Chapter 36 -->
 <!ENTITY midori-version               "0.5.11">
-<!ENTITY parole-version               "4.16.0">
-<!ENTITY mousepad-version             "0.5.6">
+<!ENTITY parole-version               "4.15.0">
+<!ENTITY mousepad-version             "0.5.1">
 <!ENTITY vte2-version                 "0.28.2">
 <!ENTITY xfce4-terminal-version       "0.8.10">
 <!ENTITY xfburn-version               "0.6.2">
-<!ENTITY ristretto-version            "0.11.0">
+<!ENTITY ristretto-version            "0.10.0">
 <!ENTITY xfce4-mixer-version          "4.10.0">
 <!ENTITY xfce4-notifyd-version        "0.6.2">
@@ -868,10 +855,10 @@
 <!-- Chapter 37 -->
 <!ENTITY lxmenu-data-version          "0.1.5">
-<!ENTITY libfm-extra-version          "1.3.2">
+<!ENTITY libfm-extra-version          "1.3.1">
 <!ENTITY menu-cache-version           "1.1.0">
 <!ENTITY libfm-version                "&libfm-extra-version;">
-<!ENTITY pcmanfm-version              "1.3.2">
+<!ENTITY pcmanfm-version              "1.3.1">
 <!ENTITY libwnck2-version             "2.30.7">
-<!ENTITY lxpanel-version              "0.10.1">
+<!ENTITY lxpanel-version              "0.10.0">
 <!ENTITY lxappearance-version         "0.6.3">
 <!ENTITY lxsession-version            "0.5.5">
@@ -884,5 +871,5 @@
 <!ENTITY lxrandr-version              "0.3.2">
 <!ENTITY lxtask-version               "0.1.10">
-<!ENTITY lxterminal-version           "0.4.0">
+<!ENTITY lxterminal-version           "0.3.2">
 
 <!-- Chapter 40 -->
@@ -916,51 +903,50 @@
 <!-- Part X -->
 <!-- Chapter 39 -->
-<!ENTITY AbiWord-version              "3.0.5">
-<!ENTITY gnumeric-version             "1.12.50">
+<!ENTITY AbiWord-version              "3.0.4">
+<!ENTITY gnumeric-version             "1.12.48">
 <!ENTITY gnucash-version              "2.4.11">
 
-<!ENTITY libreoffice-version          "7.2.0">
-<!ENTITY libreoffice-patch            ".4">
+<!ENTITY libreoffice-version          "7.0.4">
+<!ENTITY libreoffice-patch            ".2">
 <!ENTITY libreoffice-dlversion        "&libreoffice-version;&libreoffice-patch;">
 
 <!-- Chapter 40 -->
 <!--<!ENTITY chromium-version             "64.0.3282.186">-->
-<!ENTITY epiphany-version             "40.3">
+<!ENTITY epiphany-version             "3.38.2">
 <!ENTITY falkon-major-version         "3.1">
 <!ENTITY falkon-minor-version         "0">
 <!ENTITY falkon-version               "&falkon-major-version;.&falkon-minor-version;">
-<!-- for firefox-legacy-version use JS78-version -->
-<!ENTITY firefox-version              "91.0.1">
+<!ENTITY firefox-version              "78.6.0">
 <!ENTITY flashplayer-version          "27.0.0.187">
 <!ENTITY qupzilla-version             "2.2.6">
-<!ENTITY seamonkey-version            "2.53.9">
+<!ENTITY seamonkey-version            "2.53.5.1">
 
 <!-- Chapter 41 -->
-<!ENTITY balsa-version                "2.6.3">
+<!ENTITY balsa-version                "2.6.2">
 <!ENTITY ekiga-version                "4.0.1">
-<!ENTITY feh-version                  "3.7.1">
+<!ENTITY feh-version                  "3.6.1">
 <!--<!ENTITY fontforge-date               "2015-02-28">-->
 <!ENTITY fontforge-version            "20201107">
-<!ENTITY gparted-version              "1.3.1">
-<!ENTITY gimp-version                 "2.10.24">
+<!ENTITY gparted-version              "1.1.0">
+<!ENTITY gimp-version                 "2.10.22">
 <!ENTITY hexchat-version              "2.14.3">
 <!ENTITY icedtea-web-version          "1.7.1">
-<!ENTITY inkscape-minor-version       "1.1">
+<!ENTITY inkscape-minor-version       "1.0">
 <!-- For point versions -->
-<!-- <!ENTITY inkscape-version             "&inkscape-minor-version;.2"> -->
+<!ENTITY inkscape-version             "&inkscape-minor-version;.1">
 <!-- For minor versions -->
-<!ENTITY inkscape-version             "&inkscape-minor-version;">
+<!--<!ENTITY inkscape-version             "&inkscape-minor-version;">-->
 <!ENTITY pan-version                  "0.133">
-<!ENTITY pavucontrol-version          "5.0">
-<!ENTITY pidgin-version               "2.14.6">
+<!ENTITY pavucontrol-version          "4.0">
+<!ENTITY pidgin-version               "2.14.1">
 <!ENTITY rox-filer-version            "2.11">
-<!ENTITY rxvt-unicode-version         "9.26">
-<!ENTITY thunderbird-version          "91.0.3">
+<!ENTITY rxvt-unicode-version         "9.22">
+<!ENTITY thunderbird-version          "78.6.0">
 <!ENTITY tigervnc-version             "1.11.0">
 <!ENTITY transmission-version         "3.00">
-<!ENTITY xarchiver-version            "0.5.4.17">
+<!ENTITY xarchiver-version            "0.5.4.16">
 <!ENTITY xchat-version                "2.8.8">
 <!ENTITY xdg-utils-version            "1.1.3">
-<!ENTITY xscreensaver-version         "6.01">
+<!ENTITY xscreensaver-version         "5.45">
 
 <!-- Part XI -->
@@ -968,9 +954,9 @@
 <!ENTITY alsa-download-http           "https://www.alsa-project.org/files/pub">
 <!ENTITY alsa-download-ftp            "ftp://ftp.alsa-project.org/pub">
-<!ENTITY alsa-version                 "1.2.5">
-<!ENTITY alsa-lib-version             "1.2.5.1">
-<!ENTITY alsa-plugins-version         "1.2.5">
-<!ENTITY alsa-utils-version           "1.2.5.1">
-<!ENTITY alsa-tools-version           "1.2.5">
+<!ENTITY alsa-version                 "1.2.2">
+<!ENTITY alsa-lib-version             "1.2.4">
+<!ENTITY alsa-plugins-version         "1.2.2">
+<!ENTITY alsa-utils-version           "1.2.4">
+<!ENTITY alsa-tools-version           "1.2.2">
 <!ENTITY alsa-firmware-version        "1.2.4">
 <!ENTITY alsa-oss-version             "1.1.8">
@@ -978,27 +964,27 @@
 <!ENTITY faac-version                 "1_30">
 <!ENTITY faad2-version                "2_10_0">
-<!ENTITY fdk-aac-version              "2.0.2">
+<!ENTITY fdk-aac-version              "2.0.1">
 <!ENTITY flac-version                 "1.3.3">
 <!ENTITY frei0r-version               "1.7.0">
 <!ENTITY gavl-version                 "1.4.0">
-<!ENTITY gstreamer10-version          "1.18.4">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-base-version   "1.18.4">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-good-version   "1.18.4">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-bad-version    "1.18.4">  <!-- Even minors only -->
-<!ENTITY gst10-plugins-ugly-version   "1.18.4">  <!-- Even minors only -->
-<!ENTITY gst10-libav-version          "1.18.4">  <!-- Even minors only -->
-<!ENTITY gstreamer-vaapi-version      "1.18.4">  <!-- Even minors only -->
+<!ENTITY gstreamer10-version          "1.18.2">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-base-version   "1.18.2">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-good-version   "1.18.2">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-bad-version    "1.18.2">  <!-- Even minors only -->
+<!ENTITY gst10-plugins-ugly-version   "1.18.2">  <!-- Even minors only -->
+<!ENTITY gst10-libav-version          "1.18.2">  <!-- Even minors only -->
+<!ENTITY gstreamer-vaapi-version      "1.18.2">  <!-- Even minors only -->
 <!ENTITY icedtea-sound-version        "1.0.1">
 <!ENTITY id3lib-version               "3.8.3">
 <!ENTITY liba52-version               "0.7.4">
 <!ENTITY libao-version                "1.2.0">
-<!ENTITY libass-version               "0.15.1">
+<!ENTITY libass-version               "0.15.0">
 <!ENTITY libcanberra-version          "0.30">
 <!ENTITY libcddb-version              "1.3.2">
 <!ENTITY libcdio-version              "2.1.0">
 <!ENTITY libdiscid-version            "0.6.2">
-<!ENTITY libdvdcss-version            "1.4.3">
-<!ENTITY libdvdread-version           "6.1.2">
-<!ENTITY libdvdnav-version            "6.1.1">
+<!ENTITY libdvdcss-version            "1.4.2">
+<!ENTITY libdvdread-version           "6.1.1">
+<!ENTITY libdvdnav-version            "6.1.0">
 <!ENTITY libdv-version                "1.0.0">
 <!ENTITY libmad-version               "0.15.1b">
@@ -1007,26 +993,26 @@
 <!ENTITY libmusicbrainz3-version      "3.0.3">
 <!ENTITY libmusicbrainz5-version      "5.1.0">
-<!ENTITY libogg-version               "1.3.5">
+<!ENTITY libogg-version               "1.3.4">
 <!ENTITY libquicktime-version         "1.2.4">
-<!ENTITY libsamplerate-version        "0.2.1">
-<!ENTITY libsndfile-version           "1.0.31">
+<!ENTITY libsamplerate-version        "0.1.9">
+<!ENTITY libsndfile-version           "1.0.28">
 <!ENTITY libtheora-version            "1.1.1">
 <!ENTITY libvorbis-version            "1.3.7">
-<!ENTITY libvpx-version               "1.10.0">
-<!ENTITY mlt-version                  "7.0.1">
+<!ENTITY libvpx-version               "1.9.0">
+<!ENTITY mlt-version                  "6.24.0">
 <!ENTITY opal-version                 "3.10.10">
 <!ENTITY opus-version                 "1.3.1">
-<!ENTITY pipewire-version             "0.3.34">
-<!ENTITY pulseaudio-major-version     "15.0">
+<!ENTITY pipewire-version             "0.3.18">
+<!ENTITY pulseaudio-major-version     "14.0">
 <!ENTITY pulseaudio-version           "&pulseaudio-major-version;">
 <!ENTITY sdl-version                  "1.2.15">
-<!ENTITY sdl2-version                 "2.0.16">
+<!ENTITY sdl2-version                 "2.0.14">
 <!ENTITY sound-theme-freedesktop-version "0.8">
-<!ENTITY soundtouch-version           "2.3.0">
+<!ENTITY soundtouch-version           "2.2">
 <!ENTITY speex-version                "1.2.0">
 <!ENTITY speexdsp-version             "1.2.0">
-<!ENTITY taglib-version               "1.12">
+<!ENTITY taglib-version               "1.11.1">
 <!ENTITY v4l-utils-version            "1.20.0">
-<!ENTITY x264-version                 "20210814">
+<!ENTITY x264-version                 "20200819">
 <!ENTITY x265-version                 "3.4">
 <!ENTITY xine-lib-version             "1.2.11">
@@ -1034,20 +1020,20 @@
 
 <!-- Chapter 43 -->
-<!ENTITY mpg123-version               "1.28.2">
-<!ENTITY vorbistools-version          "1.4.2">
+<!ENTITY mpg123-version               "1.26.4">
+<!ENTITY vorbistools-version          "1.4.0">
 <!ENTITY lame-version                 "3.100">
 <!ENTITY CDParanoia-version           "III-10.2">
 <!--<!ENTITY freetts-version              "1.2.2">-->
-<!ENTITY audacious-version            "4.1">
-<!ENTITY audacious-plugins-version    "4.1">
+<!ENTITY audacious-version            "4.0.5">
+<!ENTITY audacious-plugins-version    "4.0.5">
 <!--<!ENTITY amarok-version               "2.8.0">-->
 <!ENTITY pnmixer-version              "0.7.2">
 
 <!-- Chapter 44 -->
-<!ENTITY ffmpeg-version               "4.4">
-<!ENTITY mplayer-version              "export-2021-07-29">
+<!ENTITY ffmpeg-version               "4.3.1">
+<!ENTITY mplayer-version              "1.4">
 <!ENTITY xine-ui-version              "0.99.12">
 <!ENTITY transcode-version            "1.1.7">
-<!ENTITY vlc-version                  "3.0.16">
+<!ENTITY vlc-version                  "3.0.11.1">
 
 <!-- Chapter 45 -->
